KDE 4.2 PyKDE API Reference

- KDE's Python API

# KToolBarSpacerAction Class Reference

`from PyKDE4.kdeui import *`

Inherits: KAction → QWidgetAction → QAction → QObject

## Detailed Description

An extension to KAction which allows for adding a spacer item into a QToolBar / KToolBar.

Use this as the replacement for the old KToolBar.alignItemRight().

Author:
  Hamish Rodda <rodda@kde.org>

## Methods

| __init__ (self, QObject parent)
QWidget | createWidget (self, QWidget parent)
| deleteWidget (self, QWidget widget)
int | maximumWidth (self)
int | minimumWidth (self)
| setMaximumWidth (self, int width)
| setMinimumWidth (self, int width)
| setWidth (self, int width)
int | width (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

Creates a new toolbar spacer action.

Parameters:

  | parent | The action's parent object.

QWidget createWidget | ( | self, |
|  | QWidget | parent
| ) |  |  |

Reimplemented from

See also:
  QActionWidgetFactory.

deleteWidget | ( | self, |
|  | QWidget | widget
| ) |  |  |

Reimplemented from

See also:
  QWidgetAction.

int maximumWidth | ( |  | self ) |

Returns the maximum width of the spacer item.

int minimumWidth | ( |  | self ) |

Returns the minimum width of the spacer item.

setMaximumWidth | ( | self, |
|  | int | width
| ) |  |  |

Sets the maximum

Parameters:

  | width | of the spacer item.

setMinimumWidth | ( | self, |
|  | int | width
| ) |  |  |

Sets the minimum

Parameters:

  | width | of the spacer item.

setWidth | ( | self, |
|  | int | width
| ) |  |  |

Sets the

Parameters:

  | width | of the spacer item.

int width | ( |  | self ) |

Returns the width of the spacer item.